org.apache.poi.hssf.record

## Class RecalcIdRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.RecalcIdRecord

- All Implemented Interfaces:
    Duplicatable

      public final class RecalcIdRecord
      extends StandardRecord

  This record contains an ID that marks when a worksheet was last recalculated. It's an optimization Excel uses to determine if it needs to recalculate the spreadsheet when it's opened. So far, only the two engine ids `0x80 0x38 0x01 0x00` and `0x60 0x69 0x01 0x00` have been seen. A value of `0x00` will cause Excel to recalculate all formulas on the next load.
  See Also:
    Chicago biff8 docs

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecalcIdRecord()`
    `RecalcIdRecord(RecalcIdRecord other)`
    `RecalcIdRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecalcIdRecord` | `copy()`
    `protected int` | `getDataSize()`
    `int` | `getEngineId()`
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isNeeded()`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setEngineId(int val)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RecalcIdRecord

          public RecalcIdRecord()

    - #### RecalcIdRecord

          public RecalcIdRecord(RecalcIdRecord other)

    - #### RecalcIdRecord

          public RecalcIdRecord(RecordInputStream in)

  - ### Method Detail

    - #### isNeeded

          public boolean isNeeded()

    - #### setEngineId

          public void setEngineId(int val)

    - #### getEngineId

          public int getEngineId()

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### copy

          public RecalcIdRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.